import type { _PHASEMetaParameterDefinition } from "./PHASEMetaParameterDefinition.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _PHASEStringMetaParameterDefinition extends _PHASEMetaParameterDefinition {
    static alloc(): _PHASEStringMetaParameterDefinition;
    static new(): _PHASEStringMetaParameterDefinition;
    init(): _PHASEStringMetaParameterDefinition;
    /**
     * Create a new string metaparameter definition The initial value of the metaparameter An optional custom identifier to give to this object The new PHASEStringMetaParameterDefinition object
     */
    initWithValue$identifier$(value: _NSString, identifier: _NSString): _PHASEStringMetaParameterDefinition;
    /**
     * Create a new string metaparameter definition The initial value of the metaparameter The new PHASEStringMetaParameterDefinition object
     */
    initWithValue$(value: _NSString): _PHASEStringMetaParameterDefinition;
}
